Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IAM (Eclipse Integration for Apache Maven) » Problems with Maven Eclipse Plugin
Problems with Maven Eclipse Plugin [message #8716] Tue, 13 May 2008 14:58 Go to next message
Eclipse User
Originally posted by: bud.curtis.gmail.com

This may be the wrong place to ask this question, if so please advise
where the issue should be reported.

When Eclipse starts up I encounter the following error:
___________
5/12/08 12:11:07 PM MDT: Downloaded [central] ->
http://repo1.maven.org/maven2/.index/nexus-maven-repository- index.zip
5/12/08 12:11:08 PM MDT: Unable to update index for central
http://repo1.maven.org/maven2/
___________

However, I have no problem using the same URL in my browser to download
the nexus-maven-repository-index.zip.

Then when I attempt to build (The POM has an ant generate-sources phase
to generate using JAXB some source) with in Eclipse I get the following
errors reported:

___________
5/12/08 12:28:14 PM MDT: [INFO] Executing tasks
5/12/08 12:28:14 PM MDT: [FATAL ERROR]
org.apache.maven.plugin.antrun.AntRunMojo#execute() caused a linkage
error (java.lang.NoSuchMethodError) and may be out-of-date. Check the
realms:
5/12/08 12:28:14 PM MDT: [FATAL ERROR] Plugin realm =
/plugins/org.apache.maven.plugins:maven-antrun-plugin:1.1@48/thread:Worker-10
urls[0] =
file:/C:/Documents%20and%20Settings/harrison.curtis/.m2/repo sitory/org/apache/maven/plugins/maven-antrun-plugin/1.1/mave n-antrun-plugin-1.1.jar
urls[1] =
file:/C:/Documents%20and%20Settings/harrison.curtis/.m2/repo sitory/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1 .jar
urls[2] =
file:/C:/Documents%20and%20Settings/harrison.curtis/.m2/repo sitory/junit/junit/3.8.1/junit-3.8.1.jar
urls[3] =
file:/C:/Documents%20and%20Settings/harrison.curtis/.m2/repo sitory/ant/ant/1.6.5/ant-1.6.5.jar
urls[4] =
file:/C:/Documents%20and%20Settings/harrison.curtis/.m2/repo sitory/ant/ant-launcher/1.6.5/ant-launcher-1.6.5.jar
5/12/08 12:28:14 PM MDT: [FATAL ERROR] Container realm = plexus.core

5/12/08 12:28:14 PM MDT: ERROR mojo-execute : antrun:run :
org.apache.maven.settings.Settings.setRuntimeInfo(Lorg/apach e/maven/settings/RuntimeInfo;)V
5/12/08 12:28:14 PM MDT: Build error for /SSRListener/pom.xml;
java.lang.NoSuchMethodError:
org.apache.maven.settings.Settings.setRuntimeInfo(Lorg/apach e/maven/settings/RuntimeInfo;)V
___________

If I run Maven outside of Eclipse it runs fine with no error. Can
someone suggest what the problem is.
Re: Problems with Maven Eclipse Plugin [message #8729 is a reply to message #8716] Tue, 13 May 2008 22:20 Go to previous messageGo to next message
Abel Mui is currently offline Abel Mui
Messages: 247
Registered: July 2009
Senior Member
exquisitus wrote:

> This may be the wrong place to ask this question, if so please advise
> where the issue should be reported.

For the moment, support requests are being answered on the q4e groups and
issue trackers (http://code.google.com/p/q4e/).

> When Eclipse starts up I encounter the following error:
> ___________
> 5/12/08 12:11:07 PM MDT: Downloaded [central] ->
> http://repo1.maven.org/maven2/.index/nexus-maven-repository- index.zip
> 5/12/08 12:11:08 PM MDT: Unable to update index for central
> http://repo1.maven.org/maven2/
> ___________

Are you using a proxy?


> Then when I attempt to build (The POM has an ant generate-sources phase
> to generate using JAXB some source) with in Eclipse I get the following
> errors reported:

We would like to take a look at your pom to reproduce the problem. Could
you please open a new ticket on q4e's tracker?
http://code.google.com/p/q4e/issues/list

Just as a workaround, have you tried using the jaxb maven plug-in? We've
received success reports with it.

Yours,
--
Abel Muiño Vizcaino - http://ramblingabout.wordpress.com
Re: Problems with Maven Eclipse Plugin [message #8741 is a reply to message #8729] Wed, 14 May 2008 00:18 Go to previous messageGo to next message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
Looking at the error log, it seem like Bud Curtis is using m2eclipse
[1] and not q4e, so this was the wrong news group and he should have
asked question in news://news.eclipse.org:119/eclipse.technology.m2e

Anyways, there been similar reports against 0.9.3 version, and we just
posted 0.9.4 dev build [2] that includes new indexer component, so this
issue might be fixed in that build.

While I am on it, m2eclipse 0.9.4 also includes extensible project
configuration framework [3] and provides implementations for WTP and
AJDT. So, I would like to invite everyone to try it and give us feedback.

regards,
Eugene

[1] http://m2eclipse.codehaus.org/
[2] http://m2eclipse.sonatype.org/update-dev/
[3] http://docs.codehaus.org/x/pYK9B


Abel Muiño wrote:
>> This may be the wrong place to ask this question, if so please advise
>> where the issue should be reported.
> For the moment, support requests are being answered on the q4e groups
> and issue trackers (http://code.google.com/p/q4e/).
>> When Eclipse starts up I encounter the following error:
>> ___________
>> 5/12/08 12:11:07 PM MDT: Downloaded [central] ->
>> http://repo1.maven.org/maven2/.index/nexus-maven-repository- index.zip
>> 5/12/08 12:11:08 PM MDT: Unable to update index for central
>> http://repo1.maven.org/maven2/
>> ___________
>
> Are you using a proxy?
Re: Problems with Maven Eclipse Plugin [message #8753 is a reply to message #8741] Wed, 14 May 2008 05:45 Go to previous message
Abel Mui is currently offline Abel Mui
Messages: 247
Registered: July 2009
Senior Member
Thanks for letting us know Eugene!

@bud.curtis: Since there are two options available for you, and you
already are on the IAM newsgroup, you might wish to install and try Q
for Eclipse, which is the source code contribution for IAM.

Latest (0.6.1) stable update site is on:
- http://q4e.googlecode.com/svn/trunk/updatesite/
If interested in using the dev releases with new features on 0.7.0:
- http://q4e.googlecode.com/svn/trunk/updatesite-dev/
New and noteworthy on 0.7.0:
- http://code.google.com/p/q4e/wiki/New_in_0_7_0

Or just explore the project site, wiki and issue tracker:
- http://code.google.com/p/q4e

Yours,
--
Abel Muiño Vizcaino - http://ramblingabout.wordpress.com

Eugene Kuleshov wrote:
>
> Looking at the error log, it seem like Bud Curtis is using m2eclipse
> [1] and not q4e, so this was the wrong news group and he should have
> asked question in news://news.eclipse.org:119/eclipse.technology.m2e
>
Re: Problems with Maven Eclipse Plugin [message #565941 is a reply to message #8716] Tue, 13 May 2008 22:20 Go to previous message
Abel Mui is currently offline Abel Mui
Messages: 247
Registered: July 2009
Senior Member
exquisitus wrote:

> This may be the wrong place to ask this question, if so please advise
> where the issue should be reported.

For the moment, support requests are being answered on the q4e groups and
issue trackers (http://code.google.com/p/q4e/).

> When Eclipse starts up I encounter the following error:
> ___________
> 5/12/08 12:11:07 PM MDT: Downloaded [central] ->
> http://repo1.maven.org/maven2/.index/nexus-maven-repository- index.zip
> 5/12/08 12:11:08 PM MDT: Unable to update index for central
> http://repo1.maven.org/maven2/
> ___________

Are you using a proxy?


> Then when I attempt to build (The POM has an ant generate-sources phase
> to generate using JAXB some source) with in Eclipse I get the following
> errors reported:

We would like to take a look at your pom to reproduce the problem. Could
you please open a new ticket on q4e's tracker?
http://code.google.com/p/q4e/issues/list

Just as a workaround, have you tried using the jaxb maven plug-in? We've
received success reports with it.

Yours,
--
Abel Muiño Vizcaino - http://ramblingabout.wordpress.com
Re: Problems with Maven Eclipse Plugin [message #565961 is a reply to message #8729] Wed, 14 May 2008 00:18 Go to previous message
Eugene Kuleshov is currently offline Eugene Kuleshov
Messages: 505
Registered: July 2009
Senior Member
Looking at the error log, it seem like Bud Curtis is using m2eclipse
[1] and not q4e, so this was the wrong news group and he should have
asked question in news://news.eclipse.org:119/eclipse.technology.m2e

Anyways, there been similar reports against 0.9.3 version, and we just
posted 0.9.4 dev build [2] that includes new indexer component, so this
issue might be fixed in that build.

While I am on it, m2eclipse 0.9.4 also includes extensible project
configuration framework [3] and provides implementations for WTP and
AJDT. So, I would like to invite everyone to try it and give us feedback.

regards,
Eugene

[1] http://m2eclipse.codehaus.org/
[2] http://m2eclipse.sonatype.org/update-dev/
[3] http://docs.codehaus.org/x/pYK9B


Abel Muiño wrote:
>> This may be the wrong place to ask this question, if so please advise
>> where the issue should be reported.
> For the moment, support requests are being answered on the q4e groups
> and issue trackers (http://code.google.com/p/q4e/).
>> When Eclipse starts up I encounter the following error:
>> ___________
>> 5/12/08 12:11:07 PM MDT: Downloaded [central] ->
>> http://repo1.maven.org/maven2/.index/nexus-maven-repository- index.zip
>> 5/12/08 12:11:08 PM MDT: Unable to update index for central
>> http://repo1.maven.org/maven2/
>> ___________
>
> Are you using a proxy?
Re: Problems with Maven Eclipse Plugin [message #565984 is a reply to message #8741] Wed, 14 May 2008 05:45 Go to previous message
Abel Mui is currently offline Abel Mui
Messages: 247
Registered: July 2009
Senior Member
Thanks for letting us know Eugene!

@bud.curtis: Since there are two options available for you, and you
already are on the IAM newsgroup, you might wish to install and try Q
for Eclipse, which is the source code contribution for IAM.

Latest (0.6.1) stable update site is on:
- http://q4e.googlecode.com/svn/trunk/updatesite/
If interested in using the dev releases with new features on 0.7.0:
- http://q4e.googlecode.com/svn/trunk/updatesite-dev/
New and noteworthy on 0.7.0:
- http://code.google.com/p/q4e/wiki/New_in_0_7_0

Or just explore the project site, wiki and issue tracker:
- http://code.google.com/p/q4e

Yours,
--
Abel Muiño Vizcaino - http://ramblingabout.wordpress.com

Eugene Kuleshov wrote:
>
> Looking at the error log, it seem like Bud Curtis is using m2eclipse
> [1] and not q4e, so this was the wrong news group and he should have
> asked question in news://news.eclipse.org:119/eclipse.technology.m2e
>
Previous Topic:Problems with Maven Eclipse Plugin
Next Topic:IAM has entered the Creation Review state
Goto Forum:
  


Current Time: Thu Oct 02 00:33:02 GMT 2014

Powered by FUDForum. Page generated in 0.01830 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software